Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.helpers
Class OnlyOnceErrorHandler

    java.lang.Object
      org.apache.log4j.helpers.OnlyOnceErrorHandler

All Implemented Interfaces:
  ErrorHandler, OptionHandler

    public class OnlyOnceErrorHandler

extends java.lang.Object
implements ErrorHandler

The `OnlyOnceErrorHandler` implements log4j's default error handling policy which consists of emitting a message for the first error in an appender and ignoring all following errors.

The error message is printed on `System.err`.

This policy aims at protecting an otherwise working application from being flooded with error messages when logging fails.

Since:
  0.9.0
Author:
  Ceki Gülcü

Constructor Summary
`OnlyOnceErrorHandler()`

Method Summary
`void` | `activateOptions()` No options to activate.
`void` | `error(java.lang.String message)` Print a the error message passed as parameter on `System.err`.
`void` | `error(java.lang.String message, java.lang.Exception e, int errorCode)` Prints the message and the stack trace of the exception on `System.err`.
`void` | `error(java.lang.String message, java.lang.Exception e, int errorCode, LoggingEvent event)` Prints the message and the stack trace of the exception on `System.err`.
`void` | `setAppender(Appender appender)` Does not do anything.
`void` | `setBackupAppender(Appender appender)` Does not do anything.
`void` | `setLogger(Logger logger)` Does not do anything.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OnlyOnceErrorHandler

    public OnlyOnceErrorHandler()

Method Detail

### setLogger

    public void setLogger(Logger logger)

  Does not do anything.

  Specified by:
    `setLogger` in interface `ErrorHandler`
  Parameters:
    `logger` - One of the loggers that will be searched for the failing appender in view of replacement.

### activateOptions

    public void activateOptions()

  No options to activate.

  Specified by:
    `activateOptions` in interface `OptionHandler`

### error

    public void error(java.lang.String message,
                      java.lang.Exception e,
                      int errorCode)

  Prints the message and the stack trace of the exception on `System.err`.

  Specified by:
    `error` in interface `ErrorHandler`

### error

    public void error(java.lang.String message,
                      java.lang.Exception e,
                      int errorCode,
                      LoggingEvent event)

  Prints the message and the stack trace of the exception on `System.err`.

  Specified by:
    `error` in interface `ErrorHandler`
  Parameters:
    `message` - The message assoicated with the error.
    `e` - The Exption that was thrown when the error occured.
    `errorCode` - The error code associated with the error.
    `event` - The logging event that the failing appender is asked to log.

### error

    public void error(java.lang.String message)

  Print a the error message passed as parameter on `System.err`.

  Specified by:
    `error` in interface `ErrorHandler`

### setAppender

    public void setAppender(Appender appender)

  Does not do anything.

  Specified by:
    `setAppender` in interface `ErrorHandler`

### setBackupAppender

    public void setBackupAppender(Appender appender)

  Does not do anything.

  Specified by:
    `setBackupAppender` in interface `ErrorHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 Apache Software Foundation. All Rights Reserved.